=== test/CMakeLists.txt ===
# CMake script for PAPPSOms++ library # Author: Olivier Langella # Created: 03/03/2015 from the CMakeLists file of the Bio++ project #CTEST_OUTPUT_ON_FAILURE=TRUE make test
#make test ARGS="-V"

configure_file (config.h.cmake ${CMAKE_SOURCE_DIR}/test/config.h)


find_package(Qt6 COMPONENTS Core Xml Gui REQUIRED)

find_package(Catch2 REQUIRED)

include_directories(${QUAZIP_INCLUDE_DIR} "${CMAKE_SOURCE_DIR}/src")

add_executable(test_ods test_ods.cpp)
target_link_libraries(test_ods Catch2::Catch2 Catch2::Catch2WithMain Qt6::Core Qt6::Gui QuaZip::QuaZip Core)
add_test(test_ods "test_ods")


add_executable(test_tsv test_tsv.cpp)
target_link_libraries(test_tsv Catch2::Catch2 Catch2::Catch2WithMain Qt6::Core Qt6::Gui Core QuaZip::QuaZip)
add_test(test_tsv "test_tsv")


add_executable(test_zlib test_zlib.cpp)
target_link_libraries(test_zlib Qt6::Core Core QuaZip::QuaZip)
add_test(test_zlib "test_zlib")


if(UNIX)
	set_property(TEST test_ods test_tsv test_zlib ${TEST_LIST} PROPERTY ENVIRONMENT "LD_LIBRARY_PATH=$ENV{LD_LIBRARY_PATH}:../src")
endif()

if(WIN32 OR _WIN32)
	set(ENV{PATH} "$ENV{PATH};..\\src")
endif()
