=== debian/changelog ===
libodsstream (0.9.6-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:08:58 +0000

libodsstream (0.9.6-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:54:07 +0000

libodsstream (0.9.6-1) unstable; urgency=low

  * New upstream version fixing bug.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 04 Dec 2023 22:01:13 +0100

libodsstream (0.9.5-1~bookworm+1) bookworm; urgency=medium

  * fix a problem reading ods cell containing annotations

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 01 Dec 2023 15:16:09 +0100

libodsstream (0.9.4-2) unstable; urgency=low

  * Fix the hardening flags.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 24 Nov 2023 14:11:48 +0100

libodsstream (0.9.4-1) unstable; urgency=low

  * New version to fix some glitches introduced in the previous version.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 18 Nov 2023 19:19:53 +0100

libodsstream (0.9.3-1) unstable; urgency=low

  * New upstream version fixing the catch2 header problem. Since we build for
    stable also, we had to fix the problem with an #if #else include statement
    for the Catch2 header file. Thanks to Andreas Tille for investigating the
    problem (https://salsa.debian.org/tille). The bug that was closed by his
    tentative fix was bug #1054707.

  * Debhelper compat to version = 13.

  * Standards-Version: 4.6.2

  Andreas Tille:
    libodsstream (0.9.1-3) unstable; urgency=medium

    * Team upload.
    * cme fix dpkg-control
    * Port to catch2 v3 (thanks for the hint to Sune Vuorela)
      Closed: #1054707

  -- Andreas Tille <tille@debian.org>  Tue, 07 Nov 2023 15:29:21 +0100

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 18 Nov 2023 14:31:46 +0100

libodsstream (0.9.2-2~bookworm+2) bookworm; urgency=medium

  * bookworm package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 16 Jun 2023 18:59:15 +0200

libodsstream (0.9.2-1~bullseye+1) bullseye; urgency=medium

  * switch to Qt6 for Bullseye

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 17 Mar 2023 11:35:55 +0100

libodsstream (0.9.1-1~bullseye+1) bullseye; urgency=medium

  * bullseye backport.

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 19 Dec 2022 11:40:10 +0100
