## libodsstream 0.9.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,12 +9,12 @@
 ############################################################
 # Basic information about project
 
-set(PROJECT odsstream)
+set(PROJECT libodsstream)
 project(${PROJECT} CXX C)
 
 set(LIBODSSTREAM_VERSION_MAJOR "0")
 set(LIBODSSTREAM_VERSION_MINOR "9")
-set(LIBODSSTREAM_VERSION_PATCH "6")
+set(LIBODSSTREAM_VERSION_PATCH "7")
 set(LIBODSSTREAM_LIB_NAME "libodsstream")
 set(LIBODSSTREAM_VERSION "${LIBODSSTREAM_VERSION_MAJOR}.${LIBODSSTREAM_VERSION_MINOR}.${LIBODSSTREAM_VERSION_PATCH}")
 set(LIBODSSTREAM_LIB_VERSION ${LIBODSSTREAM_VERSION})
@@ -105,7 +105,7 @@
   # Run the following cmake command line:
   # x86_64-w64-mingw32.shared-cmake -DCMAKE_BUILD_TYPE=Release -DMXE=1 ../development
   #include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)
-  include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain-olivier.cmake)
+  include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)
 
   # Set the name to the systemUname variable because in this situation that name
   # is not found, it it passed as a flag in the command line.
@@ -170,6 +170,23 @@
 message(STATUS "${BoldYellow}CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}.${ColourReset}")
 
 
+#############################################################
+###########################
+# CREATE THE SOURCE PACKAGE
+include(${CMAKE_UTILS_PATH}/targz-source-package-creation.cmake)
+
+add_custom_target(archive
+  cpack -G TGZ --config CPackSourceConfig.cmake && mv
+  ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}-${LIBODSSTREAM_VERSION}.tar.gz
+  ${CMAKE_SOURCE_DIR}/../tarballs && ln -sf
+  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}-${LIBODSSTREAM_VERSION}.tar.gz
+  ${CMAKE_SOURCE_DIR}/../${CMAKE_PROJECT_NAME}_${LIBODSSTREAM_VERSION}.orig.tar.gz && ln -sf
+  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}-${LIBODSSTREAM_VERSION}.tar.gz
+  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}_${LIBODSSTREAM_VERSION}.orig.tar.gz
+
+  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+  COMMENT "Creating .tar.gz" VERBATIM
+)
 
 set(CPACK_CMAKE_GENERATOR "Unix Makefiles")
 set(CPACK_GENERATOR "STGZ;TGZ;TZ")
@@ -196,7 +213,7 @@
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "libodsstream-${LIBODSSTREAM_VERSION}")
 
 
-set(CPACK_SOURCE_IGNORE_FILES 
+set(CPACK_SOURCE_IGNORE_FILES
   ".cache"
   ".*\\\.swp"
   ".*\\\.swo"
@@ -225,7 +242,6 @@
   "/.git/"
   "/\\\\.kdev4/"
   "/\\\\.settings/"
-  ".gitignore"
   "\\\\.cdtbuild"
   "\\\\.cdtproject"
   "\\\\.project"
@@ -244,7 +260,7 @@
   "OpenDocument-v1.0-os.pdf"
 )
 # to create a TGZ archive of the  source code type shell command
-# cpack -G TGZ --config CPackSourceConfig.cmake 
+# cpack -G TGZ --config CPackSourceConfig.cmake
 
 # dpkg-buildpackage -rfakeroot -k7BEF3B25
 
@@ -289,7 +305,7 @@
 set(DEBIAN_PACKAGE_BUILDS_DEPENDS "Olivier Langella <olivier.langella@u-psud.fr>")
 
 
-include(CPack)
+# include(CPack)
 
 add_subdirectory (src)
