=== debian/changelog ===
libodsstream (0.9.7-1) unstable; urgency=low

  * New upstream version.

  * Some cleanup, with git repos removal of files that are generated.

  * This package does not need t64 transition processing, although it
    reverse-depends on affected libquazip1-qt6 (no changes needed
    because the required package is a -dev package).

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 07 Feb 2024 14:17:08 +0100

libodsstream (0.9.6-1~bookworm+1) bookworm; urgency=medium

  * catch up with the official debian package version

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 20 Dec 2023 12:26:50 +0100
