=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libodsstream
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: The Debichem Group <debichem-devel@alioth-lists.debian.net>
+Maintainer: The Debichem Group <debichem-devel@alioth-lists.debian.net>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
 Section: libs
 Priority: optional
@@ -9,12 +8,14 @@
  dh-exec,
  cmake,
  d-shlibs,
+ libxkbcommon-x11-dev,
  qt6-base-dev,
- libqt6core5compat6-dev, 
+ libqt6core5compat6-dev,
  zlib1g-dev,
  libquazip1-qt6-dev,
  doxygen,
- catch2
+ catch2,
+ texlive-font-utils
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debichem-team/libodsstream
 Vcs-Git: https://salsa.debian.org/debichem-team/libodsstream.git
@@ -43,7 +44,7 @@
 Depends: libodsstream0 (= ${binary:Version}),
  ${misc:Depends},
  qt6-base-dev,
- libqt6core5compat6-dev, 
+ libqt6core5compat6-dev,
  zlib1g-dev,
  libquazip1-qt6-dev,
 Breaks: libodsstream-qt5-dev (<< 0.7.9-1~)
