=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-

# Include for DEB_VERSION_UPSTREAM below
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

# For automating the d/*.links stuff.
export LIBODSSTREAM_VERSION=$(DEB_VERSION_UPSTREAM)
export LIBODSSTREAM_SOVERSION=0


%:
	dh $@ --buildsystem=cmake


override_dh_clean:
	dh_clean


override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_BUILD_TYPE=Release \
		-DMAKE_TEST=1 \
		-DCMAKE_SKIP_RPATH=0


override_dh_auto_build:
	dh_auto_build --no-parallel
	dh_auto_build -- doc
	dh_auto_test
