## libodsstream 0.9.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 set(LIBODSSTREAM_VERSION_MAJOR "0")
 set(LIBODSSTREAM_VERSION_MINOR "9")
-set(LIBODSSTREAM_VERSION_PATCH "7")
+set(LIBODSSTREAM_VERSION_PATCH "9")
 set(LIBODSSTREAM_LIB_NAME "libodsstream")
 set(LIBODSSTREAM_VERSION "${LIBODSSTREAM_VERSION_MAJOR}.${LIBODSSTREAM_VERSION_MINOR}.${LIBODSSTREAM_VERSION_PATCH}")
 set(LIBODSSTREAM_LIB_VERSION ${LIBODSSTREAM_VERSION})
@@ -72,8 +72,8 @@
 endif()
 
 
-# We want C++17
-set(CMAKE_CXX_STANDARD 17)
+# We want C++20
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 message(STATUS "${BoldGreen}CMAKE_CXX_COMPILER: ${CMAKE_CXX_COMPILER}${ColourReset}")
 
@@ -304,8 +304,7 @@
 set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Olivier Langella <olivier.langella@u-psud.fr>")
 set(DEBIAN_PACKAGE_BUILDS_DEPENDS "Olivier Langella <olivier.langella@u-psud.fr>")
 
-
-# include(CPack)
+include(CPack)
 
 add_subdirectory (src)
 
@@ -320,6 +319,15 @@
 
 add_custom_target(deb
   ln -s libodsstream-${LIBODSSTREAM_VERSION}.tar.gz libodsstream_${LIBODSSTREAM_VERSION}.orig.tar.gz && cd libodsstream-${LIBODSSTREAM_VERSION} && dpkg-buildpackage -sa
+  DEPENDS targz
+  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+  COMMENT "Creating Debian package" VERBATIM
+)
+
+
+
+add_custom_target(debsrc
+  ln -s libodsstream-${LIBODSSTREAM_VERSION}.tar.gz libodsstream_${LIBODSSTREAM_VERSION}.orig.tar.gz && cd libodsstream-${LIBODSSTREAM_VERSION} && debuild -S -sa
   DEPENDS targz
   WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
   COMMENT "Creating Debian package" VERBATIM
@@ -360,13 +368,3 @@
 
 include(CMakePackageConfigHelpers)
 
-configure_package_config_file(${CMAKE_SOURCE_DIR}/CMakeStuff/modules/OdsStreamConfig.cmake.in
-  "${CMAKE_CURRENT_BINARY_DIR}/OdsStreamConfig.cmake"
-  INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/odsstream)
-
-install(FILES
-  "${CMAKE_CURRENT_BINARY_DIR}/OdsStreamConfig.cmake"
-  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/odsstream)
-
-
-
