## libodsstream 0.9.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 set(LIBODSSTREAM_VERSION_MAJOR "0")
 set(LIBODSSTREAM_VERSION_MINOR "9")
-set(LIBODSSTREAM_VERSION_PATCH "9")
+set(LIBODSSTREAM_VERSION_PATCH "12")
 set(LIBODSSTREAM_LIB_NAME "libodsstream")
 set(LIBODSSTREAM_VERSION "${LIBODSSTREAM_VERSION_MAJOR}.${LIBODSSTREAM_VERSION_MINOR}.${LIBODSSTREAM_VERSION_PATCH}")
 set(LIBODSSTREAM_LIB_VERSION ${LIBODSSTREAM_VERSION})
@@ -105,7 +105,7 @@
   # Run the following cmake command line:
   # x86_64-w64-mingw32.shared-cmake -DCMAKE_BUILD_TYPE=Release -DMXE=1 ../development
   #include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)
-  include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)
+  include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain-olivier.cmake)
 
   # Set the name to the systemUname variable because in this situation that name
   # is not found, it it passed as a flag in the command line.
