## libodsstream 0.9.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 set(LIBODSSTREAM_VERSION_MAJOR "0")
 set(LIBODSSTREAM_VERSION_MINOR "9")
-set(LIBODSSTREAM_VERSION_PATCH "12")
+set(LIBODSSTREAM_VERSION_PATCH "13")
 set(LIBODSSTREAM_LIB_NAME "libodsstream")
 set(LIBODSSTREAM_VERSION "${LIBODSSTREAM_VERSION_MAJOR}.${LIBODSSTREAM_VERSION_MINOR}.${LIBODSSTREAM_VERSION_PATCH}")
 set(LIBODSSTREAM_LIB_VERSION ${LIBODSSTREAM_VERSION})
@@ -173,21 +173,6 @@
 #############################################################
 ###########################
 # CREATE THE SOURCE PACKAGE
-include(${CMAKE_UTILS_PATH}/targz-source-package-creation.cmake)
-
-add_custom_target(archive
-  cpack -G TGZ --config CPackSourceConfig.cmake && mv
-  ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}-${LIBODSSTREAM_VERSION}.tar.gz
-  ${CMAKE_SOURCE_DIR}/../tarballs && ln -sf
-  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}-${LIBODSSTREAM_VERSION}.tar.gz
-  ${CMAKE_SOURCE_DIR}/../${CMAKE_PROJECT_NAME}_${LIBODSSTREAM_VERSION}.orig.tar.gz && ln -sf
-  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}-${LIBODSSTREAM_VERSION}.tar.gz
-  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}_${LIBODSSTREAM_VERSION}.orig.tar.gz
-
-  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
-  COMMENT "Creating .tar.gz" VERBATIM
-)
-
 set(CPACK_CMAKE_GENERATOR "Unix Makefiles")
 set(CPACK_GENERATOR "STGZ;TGZ;TZ")
 set(CPACK_OUTPUT_CONFIG_FILE "./CPackConfig.cmake")
@@ -215,8 +200,8 @@
 
 set(CPACK_SOURCE_IGNORE_FILES
   ".cache"
-  ".*\\\.swp"
-  ".*\\\.swo"
+  ".*\\\\.swp"
+  ".*\\\\.swo"
   ".*\\\\.tar\\\\.gz"
   "moc_.*cxx"
   "\\\\.#.*"
@@ -226,6 +211,7 @@
   ".*\\\\.log"
   ".*\\\\.out"
   ".*\\\\.toc"
+  "Session\\\\.vim"
   "/devel_archives/"
   "/doc\\\\/html/"
   "/doc\\\\/latex/"
@@ -239,7 +225,10 @@
   "/Release/"
   "/tests/"
   "/\\\\.externalToolBuilders/"
-  "/.git/"
+  "/\\\\.git/"
+  "\\\\.gitattributes"
+  "\\\\cache/"
+  "development\\\\.kdev4"
   "/\\\\.kdev4/"
   "/\\\\.settings/"
   "\\\\.cdtbuild"
@@ -368,3 +357,18 @@
 
 include(CMakePackageConfigHelpers)
 
+configure_package_config_file(${CMAKE_SOURCE_DIR}/CMakeStuff/modules/OdsStreamConfig.cmake.in
+  "${CMAKE_CURRENT_BINARY_DIR}/OdsStreamConfig.cmake"
+  INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/odsstream)
+
+install(FILES
+  "${CMAKE_CURRENT_BINARY_DIR}/OdsStreamConfig.cmake"
+  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/odsstream)
+
+
+include(${CMAKE_UTILS_PATH}/targz-source-package-creation.cmake)
+
+add_custom_target(archive
+  cpack -G TGZ --config CPackSourceConfig.cmake && mv
+  ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}-${LIBODSSTREAM_VERSION}.tar.gz
+  ${CMAKE_SOURCE_DIR}/../tarballs && ln -sf
