=== debian/changelog ===
libodsstream (0.9.13-1) unstable; urgency=low

  * New version to make Debian package.
  * Builds fine in sid with gcc 15 (Closes: #1097240).

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 08 Sep 2025 10:14:44 +0200

libodsstream (0.9.12-1~bookworm+1) bookworm; urgency=medium

  * Catch up with new debian package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 26 Jun 2025 10:54:28 +0200

libodsstream (0.9.12-1) unstable; urgency=low

  * New version to make Debian package.
  * Builds fine in sid with gcc 15 (Closes: #1097240).

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 07 Sep 2025 18:25:57 +0200

libodsstream (0.9.11-1~bookworm+1) bookworm; urgency=medium

  * Bump version reprepro reference problem

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 11 Mar 2025 11:39:35 +0100

libodsstream (0.9.9-1~bookworm+1) bookworm; urgency=medium

  * Move from C++17 to C++20
  * Cmake configuration sets OdsStream_FOUND to true

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 11 Mar 2025 10:48:17 +0100

libodsstream (0.9.8-1~bookworm+1) bookworm; urgency=medium

  * Bump version for PPA

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 03 Jun 2024 19:07:07 +0200

libodsstream (0.9.7-1~bookworm+1) bookworm; urgency=medium

  * Fixed problem generating Zip archive containing tsv files
  * Calc writer interface including QVariant support

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 13 Apr 2024 18:58:47 +0200
