## libodsstream 0.9.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 set(LIBODSSTREAM_VERSION_MAJOR "0")
 set(LIBODSSTREAM_VERSION_MINOR "9")
-set(LIBODSSTREAM_VERSION_PATCH "13")
+set(LIBODSSTREAM_VERSION_PATCH "14")
 set(LIBODSSTREAM_LIB_NAME "libodsstream")
 set(LIBODSSTREAM_VERSION "${LIBODSSTREAM_VERSION_MAJOR}.${LIBODSSTREAM_VERSION_MINOR}.${LIBODSSTREAM_VERSION_PATCH}")
 set(LIBODSSTREAM_LIB_VERSION ${LIBODSSTREAM_VERSION})
@@ -35,6 +35,7 @@
 set(CMAKE_MODULE_PATH ${CMAKE_UTILS_PATH}/modules)
 #message("CMAKE_MODULE_PATH:" ${CMAKE_MODULE_PATH})
 
+configure_file(${CMAKE_UTILS_PATH}/version.cmake.in ${CMAKE_BINARY_DIR}/version.txt)
 
 # This include must come before all the others
 # It must include the config-generated config.h file
@@ -247,44 +248,8 @@
   "buildwin32.cmd"
   "libodsstream.so"
   "OpenDocument-v1.0-os.pdf"
-)
-# to create a TGZ archive of the  source code type shell command
-# cpack -G TGZ --config CPackSourceConfig.cmake
-
-# dpkg-buildpackage -rfakeroot -k7BEF3B25
-
-#.dput.cf
-#[olivier-langella]
-#fqdn = ppa.launchpad.net
-#method = ftp
-#incoming = ~olivier-langella/ubuntu/
-#login = olivier-langella
-#allow_unsigned_uploads = 0
-#
-#  debuild -S -sa
-# dput -f olivier-langella *changes
-
-
-#dch -Dstretch "message"
-#cmake ..
-#make deb
-# scp libodsstream* proteus:/var/www/apt/incoming
-# scp ods2tsv* proteus:/var/www/apt/incoming
-# reprepro -Vb /var/www/apt processincoming default
-
-
-#dpkg-deb -x libodsstream-qt4_0.3.0-3_amd64.deb libodsstream-qt4_0.3.0-3
-#dpkg-gensymbols -v0 -plibodsstream-qt4 -Plibodsstream-qt4_0.3.0-3 -Osymbols
-#cp symbols ../debian/libodsstream-qt4.symbols
-#dpkg-deb -x libodsstream-qt5_0.3.0-3_amd64.deb libodsstream-qt5_0.3.0-3
-#dpkg-gensymbols -v0 -plibodsstream-qt5 -Plibodsstream-qt5_0.3.0-3 -Osymbols
-#cp symbols ../debian/libodsstream-qt5.symbols
-
-#MESSAGE("configuring file ${LIBODSSTREAM_SOURCE_DIR}/src/config.h.cmake")
-
-#configure_file (${LIBODSSTREAM_SOURCE_DIR}/src/config.h.cmake ${LIBODSSTREAM_SOURCE_DIR}/src/config.h)
-
-
+  "compile_commands.json"
+)
 
 set(CPACK_PACKAGE_EXECUTABLES "libodsstream" "libodsstream")
 
@@ -372,3 +337,13 @@
   cpack -G TGZ --config CPackSourceConfig.cmake && mv
   ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}-${LIBODSSTREAM_VERSION}.tar.gz
   ${CMAKE_SOURCE_DIR}/../tarballs && ln -sf
+  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}-${LIBODSSTREAM_VERSION}.tar.gz
+  ${CMAKE_SOURCE_DIR}/../${CMAKE_PROJECT_NAME}_${LIBODSSTREAM_VERSION}.orig.tar.gz && ln -sf
+  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}-${LIBODSSTREAM_VERSION}.tar.gz
+  ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}_${LIBODSSTREAM_VERSION}.orig.tar.gz
+
+  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+  COMMENT "Creating .tar.gz" VERBATIM
+)
+
+
