=== test/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
   message("${OdsStream_INCLUDE_DIRS}")
   message("${OdsStream_LIBRARY}")
 
-configure_file (config.h.cmake ${CMAKE_SOURCE_DIR}/test/config.h)
+  configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 
 find_package(Qt6 COMPONENTS Core Xml Gui REQUIRED)
@@ -24,7 +24,6 @@
 find_package(Catch2 REQUIRED)
 
 message(STATUS "For running the tests, use library: ${OdsStream_LIBRARY}")
-
 
 add_executable(test_ods test_ods.cpp metadataodsreader.cpp)
 target_link_libraries(test_ods
@@ -37,6 +36,7 @@
   )
 target_include_directories(test_ods PUBLIC
   ${OdsStream_INCLUDE_DIRS}
+  ${CMAKE_CURRENT_BINARY_DIR}
 )
 add_test(test_ods "test_ods")
 
@@ -52,6 +52,7 @@
 )
 target_include_directories(test_tsv PUBLIC
   ${OdsStream_INCLUDE_DIRS}
+  ${CMAKE_CURRENT_BINARY_DIR}
 )
 add_test(test_tsv "test_tsv")
 
@@ -66,5 +67,6 @@
 )
 target_include_directories(test_zlib PUBLIC
   ${OdsStream_INCLUDE_DIRS}
+  ${CMAKE_CURRENT_BINARY_DIR}
 )
 add_test(test_zlib "test_zlib")
