=== Makefile ===

all: 
	cd ../build-area/unix && make 

.PHONY: clean
clean:
	cd ../build-area/unix && make clean
