=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 configure_file (${CMAKE_SOURCE_DIR}/src/odsstream/config.h.cmake ${CMAKE_SOURCE_DIR}/src/odsstream/config.h)
 
 
-set(CPP_FILES 
+set(CPP_FILES
   odsstream/reader/odscell.cpp
-  odsstream/odsexception.h 
+  odsstream/odsexception.h
   odsstream/saxreader/qxmlstreamreadercontentxml.cpp
   odsstream/odsdocreader.cpp
   odsstream/writer/options/odscolorscale.cpp
@@ -15,6 +15,7 @@
   odsstream/writer/structure/metaxml.cpp
   odsstream/writer/structure/settingsxml.cpp
   odsstream/writer/structure/manifestxml.cpp
+  odsstream/calcwriterinterface.cpp
   odsstream/odsdocwriter.cpp
   odsstream/qtablewriter.cpp
   odsstream/tsvdirectorywriter.cpp
@@ -25,11 +26,11 @@
 
 
 
-set(ODS2CSV_CPP_FILES 
+set(ODS2CSV_CPP_FILES
   ods2csv.cpp
 )
 
-set(TSV2ODS_CPP_FILES 
+set(TSV2ODS_CPP_FILES
   tsv2ods.cpp
 )
 
@@ -39,7 +40,7 @@
 
 message ("LIBODSSTREAM_LIB_SOVERSION: ${LIBODSSTREAM_LIB_SOVERSION}")
 
-find_package(Qt6 COMPONENTS Gui Xml REQUIRED)
+find_package(Qt6 COMPONENTS Core5Compat Gui Xml REQUIRED)
 
 # Build the static lib
 add_library(odsstream-static STATIC ${CPP_FILES})
@@ -93,7 +94,7 @@
 
 # Install static lib
 
-install(TARGETS odsstream-static 
+install(TARGETS odsstream-static
   ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
 
 add_executable(ods2csv ${ODS2CSV_CPP_FILES})
@@ -107,7 +108,7 @@
   CLEAN_DIRECT_OUTPUT 1
 )
 
-target_link_libraries(ods2csv 
+target_link_libraries(ods2csv
   Core
   Qt6::Core
   Qt6::Gui
@@ -129,7 +130,7 @@
 )
 
 
-target_link_libraries(tsv2ods 
+target_link_libraries(tsv2ods
   Core
   Qt6::Core
   Qt6::Gui
@@ -140,7 +141,7 @@
 
 
 # Install headers
-install(DIRECTORY odsstream/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/odsstream 
+install(DIRECTORY odsstream/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/odsstream
   FILES_MATCHING PATTERN "*.h"
   PATTERN "*.hpp")
