=== debian/changelog ===
libodsstream (0.9.15-1) unstable; urgency=low

  * New upstream version with some CMake configuration changes.
  * Add --disable-rpath to cmake config step.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 25 Sep 2025 23:42:23 +0200

libodsstream (0.9.14-3~trixie+1) trixie; urgency=medium

  * Sorry, it is Trixie and not Bookworm

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 22 Sep 2025 09:03:04 +0200

libodsstream (0.9.14-2~bookworm+1) trixie; urgency=medium

  * New package : backport to Trixie

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 20 Sep 2025 08:24:02 +0200

libodsstream (0.9.14-2) unstable; urgency=low

  * Fix debian/shlibs with automated versioning.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 16 Sep 2025 12:54:38 +0200
